# mkdefs - definition file for . - 29. Sep 1993

# Dependency list for header and c-files

_config.h=$(SRC)/interface/_config.h 
_c2obst.h=$(SRC)/interface/_c2obst.h $(c2obst.h)
_tclOBST.h=$(SRC)/interface/_tclOBST.h $(tclOBST.h) $(_config.h)
c2o_cpp.C=$(SRC)/interface/c2o_cpp.C $(obst_progstd.h) $(mta_use.h) $(_c2obst.h)
c2o_util.c=$(SRC)/interface/c2o_util.c $(obst_stdinc.h) $(_c2obst.h)
c2obst.C=$(SRC)/interface/c2obst.C $(obst_stdinc.h) $(obst_progstd.h) $(obst.h) $(obst_stats.h) $(smg.h) $(cci_use.h) $(_c2obst.h) $(_config.h)
c2obst.h=$(SRC)/interface/c2obst.h $(obst_config.h)
t2o_cmd.C=$(SRC)/interface/t2o_cmd.C $(obst_stdinc.h) $(obst_progstd.h) $(obst.h) $(smg.h) $(_tclOBST.h)
t2o_util.C=$(SRC)/interface/t2o_util.C $(obst_stdinc.h) $(obst_progstd.h) $(smg.h) $(cci_use.h) $(_tclOBST.h) $(tclHash.h) $(_c2obst.h)
tclOBST.h=$(SRC)/interface/tclOBST.h $(tcl.h) $(c2obst.h)
t2o_glob.C=$(SRC)/interface/t2o_glob.C $(obst_progstd.h) $(_tclOBST.h)
t2oShells.h=$(SRC)/shells/t2oShells.h 
AppMain.C=$(SRC)/shells/AppMain.C $(t2oShells.h) $(obst.h) $(t2o_init.h)
t2o_init.h=$(SRC)/shells/t2o_init.h $(tclOBST.h)
tclMain33.c=$(SRC)/shells/tclMain33.c $(tclInt.h) $(tclUnix.h)
tclXmain23.c=$(SRC)/shells/tclXmain23.c $(t2oShells.h) $(tclExtend.h)
tclXmain32.c=$(SRC)/shells/tclXmain32.c $(t2oShells.h) $(tclExtend.h)
tclXmain33.c=$(SRC)/shells/tclXmain33.c $(tclExtend.h) $(t2oShells.h)
tkMain23.c=$(SRC)/shells/tkMain23.c $(t2oShells.h) $(tkConfig.h) $(tkInt.h)
tkMain32.c=$(SRC)/shells/tkMain32.c $(t2oShells.h) $(tkConfig.h) $(tkInt.h)
tkMain33.c=$(SRC)/shells/tkMain33.c $(tkConfig.h) $(tkInt.h)
tkXmain23.c=$(SRC)/shells/tkXmain23.c $(t2oShells.h) $(tkConfig.h) $(tkInt.h)
tkXmain32.c=$(SRC)/shells/tkXmain32.c $(t2oShells.h) $(tkConfig.h) $(tkInt.h)
tkXmain33.c=$(SRC)/shells/tkXmain33.c $(tclExtend.h) $(tk.h) $(tkX.h) $(t2oShells.h)
test_CppLoop.C=$(SRC)/test/test_CppLoop.C $(smg.h) $(obst.h) $(mta_use.h)
test_c2obst.c=$(SRC)/test/test_c2obst.c $(obst_stdinc.h) $(c2obst.h)
test_ctors.c=$(SRC)/test/test_ctors.c 
test_schema.C=$(SRC)/test/test_schema.C $(obst_stdinc.h) $(obst_progstd.h) $(obst_err.h) $(test_obst.h)
test_tclOBST.C=$(SRC)/test/test_tclOBST.C $(obst.h) $(smg.h) $(mta_use.h) $(test_use.h) $(c2obst.h) $(timer.h) $(_tclOBST.h)
test_timer.C=$(SRC)/test/test_timer.C $(timer.h) $(obst.h) $(knl_use.h)
test_timer.c=$(SRC)/test/test_timer.c $(timer.h)
test_tsearch.C=$(SRC)/test/test_tsearch.C 
test_use.h=$(SRC)/test/test_use.h $(obst_config.h) $(knl_use.h)
test_obst.h=$(SRC)/test/test_obst.h $(test_use.h) $(knl_obst.h)
test_obst.C=$(SRC)/test/test_obst.C $(test_obst.h) $(obst_err.h) $(cci_use.h)
C_main.C=$(SRC)/test/C_main.C $(obst.h)
timer.C=$(SRC)/timer/timer.C $(timer.h)
timer.h=$(SRC)/timer/timer.h $(obst_stdinc.h)
arrows_tcl.c=$(SRC)/arrows/arrows_tcl.c $(tcl.h) $(arrows_tcl.h)
arrows_tcl.h=$(SRC)/arrows/arrows_tcl.h 


# Object file placement

c2o_cpp.o=$(LIB)$(shLIBSUFF)/c2o_cpp.o
c2o_util.o=$(LIB)$(shLIBSUFF)/c2o_util.o
c2obst.o=$(LIB)$(shLIBSUFF)/c2obst.o
t2o_cmd.o=$(LIB)$(shLIBSUFF)/t2o_cmd.o
t2o_util.o=$(LIB)$(shLIBSUFF)/t2o_util.o
t2o_glob.o=$(LIB)$(shLIBSUFF)/t2o_glob.o
AppMain.o=$(LIB)/AppMain.o
tclMain33.o=$(LIB)/tclMain33.o
tclXmain23.o=$(LIB)/tclXmain23.o
tclXmain32.o=$(LIB)/tclXmain32.o
tclXmain33.o=$(LIB)/tclXmain33.o
tkMain23.o=$(LIB)/tkMain23.o
tkMain32.o=$(LIB)/tkMain32.o
tkMain33.o=$(LIB)/tkMain33.o
tkXmain23.o=$(LIB)/tkXmain23.o
tkXmain32.o=$(LIB)/tkXmain32.o
tkXmain33.o=$(LIB)/tkXmain33.o
test_CppLoop.o=$(LIB)/test_CppLoop.o
test_c2obst.o=$(LIB)/test_c2obst.o
test_ctors.o=$(LIB)/test_ctors.o
test_schema.o=$(LIB)/test_schema.o
test_tclOBST.o=$(LIB)/test_tclOBST.o
test_timer.o=$(LIB)/test_timer.o
test_timer.o=$(LIB)/test_timer.o
test_tsearch.o=$(LIB)/test_tsearch.o
C_main.o=$(LIB)/C_main.o
timer.o=$(LIB)/timer.o
arrows_tcl.o=$(LIB)/arrows_tcl.o
test_obst.o=$(LIB)$(shLIBSUFF)/test_obst.o
